Show / Hide Table of Contents

# Class EntryPoint

Entrypoint to the program.

##### Inheritance

System.Object
EntryPoint

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Injector

###### Assembly: Dalamud.Injector.dll

##### Syntax

    public sealed class EntryPoint

### Methods

| Improve this Doc View Source

#### Main(Int32, IntPtr)

Start the Dalamud injector.

##### Declaration

    public static void Main(int argc, IntPtr argvPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | argc | Count of arguments.
System.IntPtr | argvPtr | byte** string arguments.